<View::Base::SourceRecord
  class="use-highlights view-icon-list"
  @path={{@path}}
  @model={{@model}}
  @value={{@value}}
  @isEditor={{@isEditor}}
  as |record|
>
  <Container
    @value={{@value.data.container}}
    @deviceSize={{@deviceSize}}
    data-name={{@value.name}}
    data-path="{{@path}}.data.container"
  >
    {{#each record.icons as |icon|}}
      <Icon
        @options={{@value.data.iconContainer}}
        @src={{icon}}
        @deviceSize={{@deviceSize}}
        @tooltip={{true}}
        data-name={{@value.name}}
        data-gid={{@value.gid}}
        data-path="{{@path}}.data.iconContainer"
        data-type="icon"
        data-editor="icon-container"
      />
    {{/each}}
  </Container>
</View::Base::SourceRecord>